Package org.h2gis.functions.spatial.properties

## Class ST_NPoints

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.properties.ST_NPoints

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_NPoints
    extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_NPoints()` Default constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static Integer` `getNPoints​(org.locationtech.jts.geom.Geometry geometry)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_NPoints

    public ST_NPoints()

Default constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### getNPoints

    public static Integer getNPoints​(org.locationtech.jts.geom.Geometry geometry)

Parameters:
  `geometry` - Geometry instance or null
Returns:
  Number of points or null if Geometry is null.